---
search:
  tags:
    - Billing
    - GET
seo:
  description: >-
    List invoice lines. Reference for the GET
    /v1/organizations/{orgId}/billing/invoices/{invoiceId}/lines endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: List invoice lines
  badge: GET
title: List invoice lines
type: openapi-operation
---
`GET /v1/organizations/{orgId}/billing/invoices/{invoiceId}/lines`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": [
    {
      "amount": -9007199254740991,
      "currency": "string",
      "description": "string",
      "id": "string",
      "periodEndsAt": "2019-08-24T14:15:22Z",
      "periodStartsAt": "2019-08-24T14:15:22Z",
      "proration": true,
      "quantity": 0
    }
  ],
  "meta": {
    "requestId": "string",
    "nextCursor": "string",
    "previousCursor": "string"
  }
}
```
